### Constructor

# Soup Server new

#### Declaration [src]

    SoupServer*
    soup_server_new (
      const char* optname1,
      ...
    )

#### Description [src]

Creates a new `SoupServer`.

This is exactly equivalent to calling `g_object_new()` and specifying `SOUP_TYPE_SERVER` as the type.

This method is not directly available to language bindings.

#### Parameters

`optname1`

  Type: `const char*`

  Name of first property to set.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`...`

  Type: ``

  Value of `optname1`, followed by additional property/value pairs.

#### Return value

Type: `SoupServer`

A new `SoupServer`. If you are using certain legacy properties, this may also return `NULL` if an error occurs.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.